in scala.actors.distributed
class TcpService

`class` TcpService
  `extends` java.lang.Thread
  `with` scala.actors.distributed.Service
  `with` scala.ScalaObject

author:
  Philipp Haller

Constructor Summary
| `def` this ( port : scala.Int )

Def Summary
| `def` addConnection ( n : scala.actors.distributed.TcpNode , w : scala.actors.distributed.TcpServiceWorker ) : scala.Unit
| `def` connect ( n : scala.actors.distributed.Node ) : scala.Unit
| `def` connect ( n : scala.actors.distributed.TcpNode ) : scala.actors.distributed.TcpServiceWorker
| `def` createPid ( actor : scala.actors.distributed.RemoteActor ) : scala.actors.distributed.RemotePid
| `def` disconnectNode ( n : scala.actors.distributed.Node ) : scala.Unit
| `def` getConnection ( n : scala.actors.distributed.TcpNode ) : scala.Option[scala.actors.distributed.TcpServiceWorker]
| `def` getRoundTripTimeMillis ( node : scala.actors.distributed.Node ) : scala.Long
| `def` isConnected ( n : scala.actors.distributed.Node ) : scala.Boolean
| `def` isReachable ( node : scala.actors.distributed.Node ) : scala.Boolean
| `def` node : scala.actors.distributed.TcpNode
| `def` nodeDown ( mnode : scala.actors.distributed.TcpNode ) : scala.Unit
| `def` nodes : scala.List[scala.actors.distributed.Node]
`override` | `def` run : scala.Unit
| `def` send ( node : scala.actors.distributed.Node , data : java.lang.String ) : scala.Unit
| `def` send ( node : scala.actors.distributed.Node , data : scala.Array[scala.Byte] ) : scala.Unit

Constructor Detail

`def` this ( port : scala.Int )

Def Detail

`def` addConnection ( n : scala.actors.distributed.TcpNode , w : scala.actors.distributed.TcpServiceWorker ) : scala.Unit

`def` connect ( n : scala.actors.distributed.Node ) : scala.Unit

`def` connect ( n : scala.actors.distributed.TcpNode ) : scala.actors.distributed.TcpServiceWorker

`def` createPid ( actor : scala.actors.distributed.RemoteActor ) : scala.actors.distributed.RemotePid

`def` disconnectNode ( n : scala.actors.distributed.Node ) : scala.Unit

`def` getConnection ( n : scala.actors.distributed.TcpNode ) : scala.Option[scala.actors.distributed.TcpServiceWorker]

`def` getRoundTripTimeMillis ( node : scala.actors.distributed.Node ) : scala.Long

`def` isConnected ( n : scala.actors.distributed.Node ) : scala.Boolean

`def` isReachable ( node : scala.actors.distributed.Node ) : scala.Boolean

`def` node : scala.actors.distributed.TcpNode

`def` nodeDown ( mnode : scala.actors.distributed.TcpNode ) : scala.Unit

`def` nodes : scala.List[scala.actors.distributed.Node]

override `def` run : scala.Unit

`def` send ( node : scala.actors.distributed.Node , data : java.lang.String ) : scala.Unit

`def` send ( node : scala.actors.distributed.Node , data : scala.Array[scala.Byte] ) : scala.Unit